[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ExceptFrameCount

Number of frames included in an exception backtrace

## Declaration

Source position: sysutilh.inc line 237

`function ExceptFrameCount: LongInt;`

## Description

ExceptFrameCount returns the number of frames that are included in an exception stack frame backtrace. The function returns 0 if there is currently no exception being handled. (i.e. it only makes sense to call this function in an finally..end or except..end block.

## Errors

None.

## See also

ExceptFrames |  | Return the current exception stack frames
ExceptAddr |  | Current exception address.
ExceptObject |  | Current Exception object.
#rtl.system.ExceptProc |  | Current exception handling procedure.